Bug 73864 - composite dumps core on certain operations
composite dumps core on certain operations
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
Depends On:
  Show dependency treegraph
Reported: 2002-09-12 11:06 EDT by Jay Berkenbilt
Modified: 2013-04-02 00:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-12 08:05:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
bzip2-compressed 1.pgm (6.92 KB, application/octet-stream)
2002-09-12 11:07 EDT, Jay Berkenbilt
no flags Details
bzip2-compressed 2.ppm (6.68 KB, application/octet-stream)
2002-09-12 11:07 EDT, Jay Berkenbilt
no flags Details

  None (edit)
Description Jay Berkenbilt 2002-09-12 11:06:15 EDT
Description of Problem:

Sorry about being a bit vague, but I haven't had time to investigate this yet. 
If/when I do, I will update this bug with better information.  In the mean time,
I have a reliable way of getting composite to crash, so there's definitely a bug.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
(files attached)
1. composite -compose Difference 1.pgm 2.ppm 3.ppm

Actual Results:

core dump

Expected Results:

This should work.  It works under RedHat 7.3.

Additional Information:
Not much yet.  I don't know what it is about these files that causes this
problem.  It may be that any time a .ppm is the output you get this problem, or
it may be related to the fact that there is a mixture of color and gray....
these are guesses.  composite doesn't give any information.  I will try to
compile a debugging version of this and look at it under gdb.

If the last argument is 3.pgm, you don't get a crash.

I'm uploading bzip2'ed versions of these files since they are so large and
compress so well.  Uncompress before running the command, of course.
Comment 1 Jay Berkenbilt 2002-09-12 11:07:07 EDT
Created attachment 75944 [details]
bzip2-compressed 1.pgm
Comment 2 Jay Berkenbilt 2002-09-12 11:07:43 EDT
Created attachment 75945 [details]
bzip2-compressed 2.ppm

Note You need to log in before you can comment on or make changes to this bug.